Subject: Re: [PATCH] Documentation: Add target to build PDF manpages

From: Michael J Gruber <[email-masked]>
Date: Mon, 23 Mar 2015 16:46:45 +0100

Junio C Hamano venit, vidit, dixit 20.03.2015 23:38:
> Stefan Beller <[email-masked]> writes:
> 
>> Thomas referencing reading the man page offline, made me wonder
>> why you wouldn't read the man pages itself as they can also be
>> carried around offline. But the striking point is "on an iPad", which
>> doesn't offer you the convenience of a shell etc, but pdf is fine to read
>> there. Also you can add comments to pdfs more easily that html pages
>> I'd guess.
>>
>> So the patch makes sense to me now. It's just a use case I'm personally
>> not interested in for now, but I don't oppose it as is.
> 
> Well, my comment was not about opposing to it, but was about
> questioning the usefulness of it, iow, who would
> benefit from having this patch in my tree?
> 
> I didn't see (and I still do not quite see) why people would want to
> have separate pdf files for all the subcommands (instead of say an
> .epub or .pdf that binds all the man pages and perhaps user-manual,
> just like we do for .texi/.info).

Exactly. For PDF, a combined document is more natural and will hopefully
make crosslinks work as crossrefs within one document, rather than links
to external documents. I'd say that would make a valuable target.

Michael